delete INSTIT_TAB where descx <> 'Paymentsense';
delete T_FRAUD_BLACK_LIST where private_scheme <> 1036;
delete T_FRAUD_WHITE_LIST where private_scheme <> 1036;
delete T_FRAUD_REACTIONS where private_scheme <> 1036 and ACTION <> 'EVENT_NOTIFICATION';
delete T_FRAUD_RULE_INFO where utrnno in (select utrnno from t_fraud_trans where private_scheme_list not like '%1036%');
delete T_FRAUD_RULES_BODY where rule_id not in (select rule_id from T_FRAUD_RULES where private_scheme=1036);
delete T_FRAUD_RULES where private_scheme <> 1036;
delete T_FRAUD_RULES_GROUPS where private_scheme <> 1036;
delete T_FRAUD_PRECEDENT where utrnno in (select utrnno from t_fraud_trans where private_scheme_list not like '%1036%');
delete T_FRAUD_TRAN2REACTIONS where utrnno in (select utrnno from t_fraud_trans where private_scheme_list not like '%1036%');
delete T_FRAUD_TRANS_MARKED where utrnno in (select utrnno from t_fraud_trans where private_scheme_list not like '%1036%');
delete T_FRAUD_TRANS_RULES where utrnno in (select utrnno from t_fraud_trans where private_scheme_list not like '%1036%');
delete T_FRAUD_TRANS_SCHEME where utrnno in (select utrnno from t_fraud_trans where private_scheme_list not like '%1036%');
delete T_JSON_FIELD where transport_id in (select id from T_JSON_TRANSPORT where url in ('/whitelisting', '/blacklisting', '/rdp/auth', '/rdp/advice', '/rdp/advice-reversal'));
delete T_JSON_TRANSPORT where url in ('/whitelisting', '/blacklisting', '/rdp/auth', '/rdp/advice', '/rdp/advice-reversal');
delete T_OPERATOR_GROUP_TO_ENTITY where group_id not in (select id from T_OPERATOR_GROUP where private_scheme <> 1036);
delete T_OPERATOR_GROUP where private_scheme <> 1036;
delete T_PROTOBUF_FIELD where PS <> 0000;
delete T_WEB_FRAUD_NOTIF_TEMPLATE where private_scheme <> 1036;
delete ENTITY_COMMENT where list_id in (select id from T_FRAUD_LIST where private_scheme not in ('1','1036'));
delete ENTITY_RECIPIENT where list_id in (select list_id from T_FRAUD_LIST where private_scheme not in ('1','1036'));
delete T_WEB_FRAUD_RECIPIENT_20190805 where private_scheme not in ('1','1036');
delete T_WEB_FRAUD_RECIPIENT where private_scheme not in ('1','1036');
delete T_WEB_FRAUD_RECIPIENT2GROUP where group_id in (select id from T_WEB_FRAUD_RECIPIENT_GROUP where private_scheme not in ('1','1036'));
delete T_WEB_FRAUD_RECIPIENT_GROUP where private_scheme not in ('1','1036');
delete T_FRAUD_LIST where private_scheme not in ('1','1036');
delete T_FRAUD_LIST_DESC where private_scheme not in ('1','1036');
delete T_WEB_REPORTS where private_scheme not in ('1','1036');
delete T_WEB_REPORTS_HISTORY where private_scheme not in ('1','1036');
delete T_CONFIG_COMMON_ACTION where description like '%define%';
delete T_FRAUD_INV_ENTITY_HISTORY where case_id in (select case_id from T_FRAUD_CASE_SCHEME where private_scheme_id not in ('1','1036'));
delete T_FRAUD_INV_ENTITY where id in (select entity_id from T_FRAUD_CASE where id in (select case_id from T_FRAUD_CASE_SCHEME where private_scheme_id not in ('1','1036')));
delete T_FRAUD_CASES_TO_RULES where case_id in (select case_id from T_FRAUD_CASE_SCHEME where private_scheme_id not in ('1','1036'));
delete T_FRAUD_CASE_ALERT where case_id in (select case_id from T_FRAUD_CASE_SCHEME where private_scheme_id not in ('1','1036'));
delete T_FRAUD_CASE where id in (select case_id from T_FRAUD_CASE_SCHEME where private_scheme_id not in ('1','1036'));
delete T_FRAUD_CASE_SCHEME where private_scheme_id not in ('1','1036');
delete T_FRAUD_TRANS_FLEX_STR where utrnno in (select utrnno from t_fraud_trans where private_scheme_list not like '%1036%');
delete T_FRAUD_TRANS where private_scheme_list not like '%1036%';
commit;